block Struct Reference

Block structure used to hold all needed data for growable arrays. More...

`#include <vlib.h>`

## Data Fields

void * | data
| pointer to an array
size_t | used
| number of used elements in the array
size_t | allocated
| total number of elements in the array

## Detailed Description

Block structure used to hold all needed data for growable arrays.

The documentation for this struct was generated from the following file:

- vlib.h